# \Thelia\Core\EventCustomerEvent

Base class used for internal event like creating new Customer, adding item to cart, etc

Class InternalEvent

## Summary

Methods
Properties
Constants
__construct()
$customer
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Core/Event/CustomerEvent.php
Package
  \Default
Class hierarchy
  \Symfony\Component\EventDispatcher\Event
  \Thelia\Core\Event\InternalEvent
  \Thelia\Core\Event\CustomerEvent

## Tags

None found

## Properties

### $customer

    $customer

#

## Tags

None found

## Methods

### __construct()

    __construct(\Thelia\Model\Customer $customer)

#### Parameters

\Thelia\Model\Customer | $customer |

#

## Tags

None found

### CustomerEvent.php